Package Details: jfrog-cli-go 1.41.2-1

Git Clone URL: https://aur.archlinux.org/jfrog-cli-go.git (read-only, click to copy)
Package Base: jfrog-cli-go
Description: Simple interface to Artifactory, Bintray and Mission Control
Upstream URL: https://github.com/jfrog/jfrog-cli
Licenses: Apache
Submitter: dvzrv
Maintainer: dvzrv (jhenson)
Last Packager: jhenson
Votes: 1
Popularity: 0.41
First Submitted: 2019-04-23 17:31
Last Updated: 2020-11-25 18:08

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

jhenson commented on 2020-11-02 16:22

Does anyone who uses this package have any objection to renaming the binary in this package to jfrog? Upstream refers to the command as just jfrog in their documentation[1] so I'd like this package to match.

[1] https://www.jfrog.com/confluence/display/CLI/JFrog+CLI

dvzrv commented on 2020-10-21 13:22

@jhenson: That's good news. Made you co-maintainer.

jhenson commented on 2020-10-20 17:58

@dvzrv I use this tool a lot and I can help maintain it if you still want some help.

dvzrv commented on 2020-06-15 18:04

@jomaguma: If you're interested in co/maintaining this package, please let me know.

I have no use for it anymore.

dvzrv commented on 2019-09-27 09:17

@jomaguma: Indeed you are missing something ;-) Please read ABS and its dependency pages. go-pie is listed in the makedepends array.

jomaguma commented on 2019-07-01 16:08

@dvzrv: Thanks for looking into!

Regarding the go-pie dependency: I'm new to the PKGBUILD syntax and publishing AUR packages in general. But to my understanding, since it's a compile-time dependency, the package should make sure go-pie is installed before running the prepare script. Instead of throwing a "command not found" error if it isn't. Or am I missing something?

dvzrv commented on 2019-06-28 18:03

@jomaguma: also, go-pie needs to be installed to compile go binaries with PIE. That is correct.

dvzrv commented on 2019-06-28 18:01

@jomaguma: Thanks for the heads up. Will look into it the coming days!

jomaguma commented on 2019-06-27 13:07

The upstream package has been renamed to 'jfrog-cli' without releasing a new version. Therefore, checksum fails and paths are incorrect. I've been able to fix the PKGBUILD, but not the build dependencies. Can you please fix that?

Furthermore, the 'go-pie' dependency seems to be incorrectly specified. I had to explicitly install it in advance in order to get the go commands running.